This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 175731 - at start:kernel panic
at start:kernel panic
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 175741 175797 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-14 07:36 EST by Tanikumahousei
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 22:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Panic message (646.58 KB, image/png)
2005-12-14 19:56 EST, Tanikumahousei
no flags Details
dmidecode output (12.86 KB, text/plain)
2005-12-25 13:32 EST, Bill Marrs
no flags Details

  None (edit)
Description Tanikumahousei 2005-12-14 07:36:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Bad:kernel panic occed!
     kernel-2.6.14-1.1653_FC4 before no problem!
     hard:Aopen i915GMm-HFS

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1.start
2.
3.
  

Actual Results:  kernel panic

Expected Results:  understand

Additional info:

understand
Comment 1 Dave Jones 2005-12-14 09:29:00 EST
*** Bug 175741 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2005-12-14 09:30:35 EST
can you capture any information from the panic ? (Even a digital camera photo of
the screen is better than nothing)

(Also, make sure you remove 'quiet' from the boot command line).
Comment 3 Dave Jones 2005-12-14 09:32:19 EST
also, please attach your /etc/modprobe.conf
Comment 4 Tanikumahousei 2005-12-14 19:33:03 EST
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
# for CX23416GYC-STVLP
alias char-major-81 bttv
alias char-major-81-0 ivtv
alias char-major-81-1 ivtv
options ivtv tuner=46,46
#
# I2C module options
alias char-major-89 i2c-dev
alias ieee1394-controller ohci1394
alias eth1 sk98lin
alias eth0 sk98lin
----------------------------------------
no sound becouse 

hda_codec: Unknown model for ALC880, trying auto-probe from BIOS...

intel-hda sound imposbie?!
please wait photo...
Comment 5 Tanikumahousei 2005-12-14 19:56:18 EST
Created attachment 122255 [details]
Panic message

not all...
Comment 6 Dave Jones 2005-12-14 21:00:16 EST
*** Bug 175797 has been marked as a duplicate of this bug. ***
Comment 7 Bill Marrs 2005-12-20 07:52:03 EST
I just upgraded 2 very similar servers to 2.6.14-1.1653_FC4smp.  One came up 
fine, the other panics in boot-up with errors like:

...
md: ... autorun DONE.
Creating root device
Mounting root filesystem
EXT3-fs: unable to read superblock
mount: error 22 mounting ext3
Switching to new root
ERROR opening /dev/console!!!!: 2
error dup2'img fd of 0 to 0
error dup2'img fd of 0 to 1
error dup2'img fd of 0 to 2
unmounting old /proc
unmounting old /sys
switchroot: mount failed: 22
Kernel Panic- not syncing: Attempting to kill init!

Both servers are smp [dual PIII-800mhz], same tyan mobo, with 2 SCSI disks.  
Both are running software RAID (with similar partitions: /dev/md0 is /boot 
and /dev/md1 is /).  There are several slight variations in their installs.

Both servers have the same /etc/modprobe.conf  :
# cat /etc/modprobe.conf 
alias eth0 tulip
alias scsi_hostadapter aic7xxx

Booting the previous kernel (2.6.14-1.1644_FC4smp) on the panicking server 
works, so I've dropped back to using that.  I've looked around, but I don't see 
what changed in 1653 to trigger this now.

Comment 8 Dave Jones 2005-12-23 14:37:48 EST
Tanikumahousei, what type of disk hardware do you have ? SATA ? SCSI ? IDE ?

Bill, I'm totally puzzled.  We get a bunch of reports like this every time I
push an update, where nothing changed in a particular driver, yet it blows up
for some folks, but not others.  Nearly every time, it's an mkinitrd failure of
some sort.
Can you attach the /boot/initrd-2.6.14-1.1653_FC4smp, and I'll have a poke at it
to see if I spot anything obvious.  (Something just occureed to me- if its an
old server, it may not have a fully acpi compliant bios, and this update
disabled the y2k-cutoff check, so we're using acpi on older systems now too. 
Try booting with acpi=off)
Comment 9 Bill Marrs 2005-12-24 07:41:33 EST
Dave, thanks for the clue!  Sure enough, the nearly identical server that 
didn't have a problem had acpi disabled in its bios.  But, the non-booting 
server had acpi enabled.  So, I disabled acpi for the non-booting server and it 
came up just fine.  So, your guess was right on the money and I'm happy as a 
clam now.

Checking old /var/log/messages on the non-booter, I see this from last week:

Dec 18 10:55:05 essrog kernel: ACPI: BIOS age (2000) fails cutoff (2001), 
acpi=force is required to enable ACPI
Dec 18 09:57:12 essrog kernel: shpchp: acpi_shpchprm:get_device PCI ROOT HID 
fail=0x1001

After disabling ACPI in the BIOS, that "BIOS age" line no longer shows up.

My motherboard is a "Tyan S1834 Tiger 133", if that's any help.  It's certainly 
kind of old these days (circa 2000, I think).  I don't care about ACPI support, 
though.  This server never sleeps, it's SMP as well, so APM doesn't even work 
(I think).  

I suppose what's happening is a bug, so if you want to track or follow-up with 
that, I'd be happy to try out fixes for it.  This server does run a couple live 
websites, but I can reboot it in the morning without much trouble.

Thanks again
Comment 10 Dave Jones 2005-12-24 15:34:13 EST
on the server that has problems, try pci=noacpi instead of acpi=off
output of 'dmidecode' (as root) would allow me to add this to a blacklist too,
so that future updates 'just work'.
Comment 11 Bill Marrs 2005-12-25 13:32:14 EST
Created attachment 122579 [details]
dmidecode output
Comment 12 Bill Marrs 2005-12-25 13:34:51 EST
Yes, booting with acpi enabled in the bios and pci=noacpi also works.

So, there are 3 way this machine will boot now:

1) disabling acpi in the bios
2) acpi=off
3) pci=noacpi 

I've attached the dmidecode output as well.  

Thanks again for your help, Dave.
Comment 13 Tanikumahousei 2006-01-07 07:02:55 EST
I am Tanikumahousei.
I have SATA and IDE.
Both SATA and IDE are bad !
Comment 14 Dave Jones 2006-02-03 01:26:57 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 15 John Thacker 2006-05-04 22:04:23 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.